Package org.apache.sling.discovery.base.connectors.ping.wl

# Class SubnetWhitelistEntry

java.lang.Object
org.apache.sling.discovery.base.connectors.ping.wl.SubnetWhitelistEntry

All Implemented Interfaces:
  `WhitelistEntry`

public class SubnetWhitelistEntry extends Object implements WhitelistEntry
Implementation of a WhitelistEntry which accepts cidr and ip mask notations.

## Constructor Summary

Constructors
Constructor
Description
`SubnetWhitelistEntry(String cidrNotation)`
`SubnetWhitelistEntry(String ip, String subnetMask)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accepts(javax.servlet.ServletRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubnetWhitelistEntry

public SubnetWhitelistEntry(String cidrNotation)

### SubnetWhitelistEntry

public SubnetWhitelistEntry(String ip, String subnetMask)

## Method Details

### accepts

public boolean accepts(javax.servlet.ServletRequest request)

Specified by:
  `accepts` in interface `WhitelistEntry`
Parameters:
  `request` - the incoming request which should be accepted or rejected
Returns:
  true if the request is accepted by this WhitelistEntry